> ## Documentation Index
> Fetch the complete documentation index at: https://creditor-documentation.debbiecollect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch webhook item

> Updates the state of a webhook item belonging to the creditor the API key is issued for. After successfully processing a pending item, send {"state":"SUCCESS"} to acknowledge it. The item will no longer appear when filtering by state=PENDING.

**Required scope:** `write:webhooks`



## OpenAPI

````yaml PATCH /v1/{tenantId}/webhooks/items/{itemId}
openapi: 3.1.0
info:
  title: Debbie Creditor API Docs
  description: >-
    The Debbie Creditor API is a RESTful interface allowing you, as a creditor,
    to programmatically send data to your debt collection partner and access
    your data in the platform. It provides predictable URLs for accessing
    resources, and uses built-in HTTP features to receive commands and return
    responses. This makes it easy to integrate with your own systems, for
    example your ERP or invoicing system.
  version: v1.0.0
  x-logo:
    url: https://debbie-platform.github.io/creditor-api-docs/deb-logo.svg
servers:
  - url: https://api.debbiecollect.com
security:
  - bearerAuth: []
tags:
  - name: Customers
    description: Endpoints for interacting with customers
  - name: Files
    description: Endpoints for interacting with files
  - name: Documents
    description: Endpoints for attaching documentation to a case or to your creditor
  - name: Voucher types
    description: >-
      Endpoints for reading the voucher types available on your debt collection
      partner
  - name: Billings
    description: Endpoints for reading how a settlement is made up
  - name: Case voucher allocations
    description: Apply creditor payments and credit notes to specific case vouchers.
externalDocs:
  description: Find out more about Debbie here
  url: https://debbiecollect.com
paths:
  /v1/{tenantId}/webhooks/items/{itemId}:
    patch:
      tags:
        - Webhooks
      summary: Patch webhook item
      description: >-
        Updates the state of a webhook item belonging to the creditor the API
        key is issued for. After successfully processing a pending item, send
        {"state":"SUCCESS"} to acknowledge it. The item will no longer appear
        when filtering by state=PENDING.


        **Required scope:** `write:webhooks`
      operationId: patch-webhook-item
      parameters:
        - in: path
          name: tenantId
          schema:
            type: string
            format: uuid
          required: true
          description: Id of the tenant
        - in: path
          name: itemId
          schema:
            type: string
            format: uuid
          required: true
          description: Id of the webhook item
      requestBody:
        description: Patch webhook item
        content:
          application/json:
            schema:
              type: object
              required:
                - state
              properties:
                state:
                  type: string
                  enum:
                    - PENDING
                    - SUCCESS
                    - FAILED_AND_NOTIFIED
                    - FAILED_AWATING_NOTIFICATION
                    - FAILED_NO_NOTIFICATION
                  description: Webhook item state
            example:
              state: SUCCESS
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
              example: {}
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          description: Webhook item not found or not accessible to this API key.
        '422':
          $ref: '#/components/responses/UnprocessableContent'
components:
  responses:
    UnauthorizedError:
      description: Access token missing or invalid
    UnprocessableContent:
      description: Unable to process the contained instructions.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication with an API key can be done by using a bearer token in
        the Authorization header. This is done using the following format
        `Authorization: Bearer {token}`. API keys are issued and revoked
        directly from the creditor portal under Developers > API.

````